package se.softstuff.nb.nbtranslate.ide.create;

import javax.swing.JPanel;
import org.openide.util.NbBundle;

public final class CreateProjectVisualPanel4 extends JPanel {

    /**
     * Creates new form CreateProjectVisualPanel4
     */
    public CreateProjectVisualPanel4() {
        initComponents();
    }

    @Override
    public String getName() {
        return NbBundle.getMessage(getClass(), "CreateProjectVisualPanel4.bulletin");
    }
    
    public void setSummary(String text) {
        summaryLabel.setText(text);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        summaryLabel = new javax.swing.JLabel();

        setName(""); // NOI18N

        summaryLabel.setVerticalAlignment(javax.swing.SwingConstants.TOP);
        summaryLabel.setName("summaryLabel"); // NOI18N
        summaryLabel.setVerticalTextPosition(javax.swing.SwingConstants.TOP);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(summaryLabel, javax.swing.GroupLayout.DEFAULT_SIZE, 372, Short.MAX_VALUE)
                .addGap(18, 18, 18))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(summaryLabel, javax.swing.GroupLayout.DEFAULT_SIZE, 278, Short.MAX_VALUE)
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel summaryLabel;
    // End of variables declaration//GEN-END:variables
}
